Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
earn
/
auto
/
assets
Get user auto earn assets
curl --request GET \
  --url https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/assets \
  --header 'api-key: <api-key>' \
  --header 'api-nonce: <api-key>' \
  --header 'api-otp: <api-key>' \
  --header 'api-sign: <api-key>'
{
  "data": [
    {
      "symbol": "ETH",
      "type": "crypto",
      "name": "Ethereum",
      "yield_source": "staking",
      "apy": "3.41",
      "user_cap": "1000"
    },
    {
      "symbol": "DOT",
      "type": "crypto",
      "name": "Polkadot",
      "yield_source": "staking",
      "apy": "12.50"
    }
  ]
}

Authorizations

api-key
string
header
required
api-sign
string
header
required
api-nonce
string
header
required
api-otp
string
header
required

Path Parameters

account_id
string
required

ID of the account to retrieve available assets for. Refers to one of the accounts held by the user the request is acting on behalf of.

Required string length: 5 - 34
Pattern: ^[A-Z]{2}[0-9]{2}[A-Z0-9]+$

Query Parameters

page_token
string

Opaque page token returned by a previous response. Omit to start from the beginning.

Required string length: 1 - 64
page_size
integer<int32>

Maximum number of results to return.

Required range: 1 <= x <= 200

Response

Successful response

data
object[]

Auto-earn asset entries available to the account for the requested page.

next_page_token
string

Opaque token for the next page of results. Absent if there are no more results.

Required string length: 1 - 64